package org.greenstone.gsdl3.util;

/**
 * GSPath - utility class for greenstone
 *
 * modifies and examines message address paths and names
 *
 */

public class GSPath {

    /** adds new_link to the end of path
     *
     * @return the new path
     */
    static public String appendLink(String path, String new_link) {
	if (path.equals("")) {
	    return new_link;
	}
	return path +"/"+new_link;
    }

    /** adds new_link to the front of path
     *
     * @return the new path
     */
    static public String prependLink(String path, String new_link) {
	if (path.equals("")) {
	    return new_link;
	}
	return  new_link+"/"+path;
    }

    /** returns the first name in the path
     *
     */
    static public String getFirstLink(String path) {

	int i = path.indexOf("/");
	if (i==0) { // have a '/' on the front
	    path = path.substring(1);
	    i= path.indexOf("/");
	}
	if (i==-1) { // '/' not found
	    return path;
	}
	
	return path.substring(0,i);
    }

    /** removes the first name in the path
     *
     * @return the modified path
     */
    static public String removeFirstLink(String path) {
	int i = path.indexOf("/");
	if (i==0) { // have a '/' on the front
	    path = path.substring(1);
	    i= path.indexOf("/");
	}
	if (i==-1) { // '/' not found - remove the whole path
	    return "";
	}
	return path.substring(i+1); // remove the '/' char
    }

}

    
